Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface PagePersonalization

All Superinterfaces:
  PersonalizedObject, PersonalizedResource, PortalResource, PortalScopedObject

All Known Subinterfaces:
  MutablePagePersonalization

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface PagePersonalization
extends PersonalizedResource

Interface `PagePersonalization` represents the personalization of a `Page` for a given identity. In the same way that a `ProfileIdentity` can represent either a usergroup or a user within a usergroup, so a `PagePersonalization` can represent the personalization of a `Page` for either a usergroup or a user within a usergroup.

Method Summary
`String` | `getDisplayType()` Deprecated.
`PagePersonalizationIdentifier` | `getIdentifier()` Deprecated. Returns the unique identifier for this `PagePersonalization`.
`int` | `getIndex()` Deprecated. Returns the index of this page for this user or group, determining the order in which the tab for this page appears during rendering.
`LayoutIdentifier` | `getLayout()` Deprecated. Returns the layout template to be used on this page for this user or group.
`List` | `getLayouts()` Deprecated. Returns a `List` of `LayoutIdentifier` objects for the layouts available for selection on this page.
`PageIdentifier` | `getPageIdentifier()` Deprecated. Returns the identifier for the `Page` that this is a personalization of.
`PortletPersonalization` | `getPortletPersonalization(PortletIdentifier portletId)` Deprecated. Returns the `PortletPersonalization` corresponding to the `PortletIdentifier` specified or null if not found.
`Iterator` | `getPortletPersonalizations()` Deprecated. Returns an `Iterator` over the set of `PortletPersonalization`s that are contained by this page for this identity.
`Boolean` | `isAvailable()` Deprecated. Determines whether this page is currently specified as available for this user or group.
`Boolean` | `isDisplayMutable()` Deprecated.
`Boolean` | `isEntitled()` Deprecated. Determines whether this page currently has any entitlements defined against it.
`Boolean` | `isMandatory()` Deprecated. Determines whether this page is currently specified as mandatory for this user or group.
`Boolean` | `isVisible()` Deprecated. Determines whether this page is currently specified as visible for this user or group.

Methods inherited from interface com.bea.portal.model.PortalResource
`getResourceIdentifier`

Methods inherited from interface com.bea.portal.model.PortalScopedObject
`getPortalIdentifier`

Methods inherited from interface com.bea.portal.model.PersonalizedObject
`getDisplayName, getProfileIdentity`

Method Detail

### getDisplayType

    public String getDisplayType()

  Deprecated.

### getIdentifier

    public PagePersonalizationIdentifier getIdentifier()

  Deprecated.
  Returns the unique identifier for this `PagePersonalization`.

  Returns:
    the unique identifier for this personalization.

### getIndex

    public int getIndex()

  Deprecated.
  Returns the index of this page for this user or group, determining the order in which the tab for this page appears during rendering. This value should be a natural number. A value of -1 indicates unspecified. Note: This value must always be specified for group personalizations but is allowed to be -1 for a user personalization.

  Returns:
    an `int` representing the index of this page.

### getLayout

    public LayoutIdentifier getLayout()

  Deprecated.
  Returns the layout template to be used on this page for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified a layout.

### getLayouts

    public List getLayouts()

  Deprecated.
  Returns a `List` of `LayoutIdentifier` objects for the layouts available for selection on this page.

  Note: This is only be defined for group personalizations and will return null for a user personalization.

  Returns:
    the set of layouts available for this page.

### getPageIdentifier

    public PageIdentifier getPageIdentifier()

  Deprecated.
  Returns the identifier for the `Page` that this is a personalization of.

  Returns:
    the identifier for the associated page.

### getPortletPersonalization

    public PortletPersonalization getPortletPersonalization(PortletIdentifier portletId)

  Deprecated.
  Returns the `PortletPersonalization` corresponding to the `PortletIdentifier` specified or null if not found.

  Parameters:
    `portletId` - identifier for portlet personalization required.
  Returns:
    the `PortletPersonalization` specified.

### getPortletPersonalizations

    public Iterator getPortletPersonalizations()

  Deprecated.
  Returns an `Iterator` over the set of `PortletPersonalization`s that are contained by this page for this identity.

  Returns:
    the portlet personalizations on this page.

### isAvailable

    public Boolean isAvailable()

  Deprecated.
  Determines whether this page is currently specified as available for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this page should be available.

  Returns:
    whether the page is specified as available (or unspecified).

### isDisplayMutable

    public Boolean isDisplayMutable()

  Deprecated.

### isEntitled

    public Boolean isEntitled()

  Deprecated.
  Determines whether this page currently has any entitlements defined against it.

  Returns:
    whether the page has any entitlements defined.

### isMandatory

    public Boolean isMandatory()

  Deprecated.
  Determines whether this page is currently specified as mandatory for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this page should be mandatory.

  Returns:
    whether the page is specified as mandatory (or unspecified).

### isVisible

    public Boolean isVisible()

  Deprecated.
  Determines whether this page is currently specified as visible for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this page should be visible.

  Returns:
    whether the page is specified as visible (or unspecified).

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved